<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Dodaj Trase</title>
    <link th:href="@{/styles/main.css}" rel="stylesheet"/>
</head>
<body>
<th:block th:insert="~{insert::header}"></th:block>
<div class="route-container shadow">
    <form class="route-form" action="#" th:action="@{/add-route-to-db}" th:object="${route}" method="post">

        <div class="route-header" th:text="${action}"></div>
        <div class="route-point">
            <div class="route-point-title">Trasa:</div>
            <div class="route-point-name" th:text="${pointFirst.getName()}"></div>
            <div class="route-point-separator">→</div>
            <div class="route-point-name" th:text="${pointSecond.getName()}"></div>
        </div>

        <div class="route-item">
            <label for="nameInput">Szlak:</label>
            <select id="nameInput" required="required" th:field="*{name}" name="pointFirst">
                <option th:each="routeName : ${routeNames}" th:value="${routeName}" th:text="${routeName}"></option>
            </select>
            <span class="error" th:if="${#fields.hasErrors('name')}" th:errors="*{name}" ></span>
        </div>

        <div class="route-item">
            <label for="pointsForRouteInput">Punkty za przejście trasy:</label>
            <input id="pointsForRouteInput" type="text" required="required" pattern="[0-9]{1,6}" th:field="*{pointsForRoute}"/>
            <button id="auto-calculate-button" type="button">Auto</button>
            <span class="error" th:if="${#fields.hasErrors('pointsForRoute')}" th:errors="*{pointsForRoute}" ></span>
        </div>

        <div class="route-info">
            <div class="route-info-title">Długość trasy:</div>
            <div class="route-info-value" id="route-length" th:text="*{#numbers.formatDecimal(routeLength, 0, 'COMMA', 3, 'POINT')}"></div>
            <div class="route-info-unit">km</div>
        </div>

        <div class="route-info">
            <div class="route-info-title">Różnica wysokości:</div>
            <div class="route-info-value" id="route-height" th:text="*{heightDifference}"></div>
            <div class="route-info-unit">m</div>
        </div>

        <div class="route-info">
            <div class="route-info-title">Numer wydania:</div>
            <div class="route-info-value" th:text="${release.getName()}"></div>
        </div>

        <div class="route-info">
            <div class="route-info-title">Data wydania:</div>
            <div class="route-info-value" th:text="${release.getDate()}"></div>
        </div>

        <input type="hidden" th:field="*{id}" />
        <input type="hidden" th:field="*{routeLength}" />
        <input type="hidden" th:field="*{heightDifference}" />

        <input type="hidden" th:value="${release.getId()}" name="releaseID" />
        <input type="hidden" th:value="${pointFirst.getId()}" name="pointFirstID" />
        <input type="hidden" th:value="${pointSecond.getId()}" name="pointSecondID" />

        <input type="hidden" th:value="${routePrevID}" name="routePrevID" />

        <button class="route-button" type="submit" th:text="${action}"></button>

    </form>
</div>

<script th:src="@{/scripts/update-route.js}"></script>
</body>
</html>